From 2acafff721b748e79f688d2b936fab9825ef3ab2 Mon Sep 17 00:00:00 2001
From: John <johnz@posteo.net>
Date: Wed, 19 Jun 2019 18:10:44 +0200
Subject: [PATCH] xbps-src: set NOCOLOR early

---
 xbps-src | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/xbps-src b/xbps-src
index e32b6ff6215..00daec93ce9 100755
--- a/xbps-src
+++ b/xbps-src
@@ -434,6 +434,13 @@ shift $(($OPTIND - 1))
 
 [ $# -eq 0 ] && usage && exit 1
 
+# Check if stdout is a tty; if false disable colors.
+test -t 1 || export NOCOLORS=1
+# http://no-color.org
+if [ -n "${NO_COLOR+x}" ]; then
+    export NOCOLORS=1
+fi
+
 umask 022
 
 #
@@ -573,13 +580,6 @@ if [ -n "$2" ]; then
     XBPS_TARGET_PKG="${2##*/}"
 fi
 
-# Check if stdout is a tty; if false disable colors.
-test -t 1 || export NOCOLORS=1
-# http://no-color.org
-if [ -n "${NO_COLOR+x}" ]; then
-    export NOCOLORS=1
-fi
-
 chroot_check() {
     if [ -f $XBPS_MASTERDIR/.xbps_chroot_init -o "$XBPS_CHROOT_CMD" = "ethereal" ]; then
         export CHROOT_READY=1
